"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const UssFile_definition_1 = require("./uss-file/UssFile.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const RenameDefinition = {
    name: "rename", aliases: ["mv"],
    summary: "Rename data sets and USS files or directories",
    description: "Rename data sets and USS files or directories",
    type: "group",
    children: [DataSet_definition_1.RenameDataSetDefinition, UssFile_definition_1.RenameUssFileDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = RenameDefinition;
//# sourceMappingURL=Rename.definition.js.map