"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const FileToDataSet_definition_1 = require("./file-to-data-set/FileToDataSet.definition");
const FileToUssFile_definition_1 = require("./file-to-uss-file/FileToUssFile.definition");
const StdinToUssFile_definition_1 = require("./stdin-to-uss-file/StdinToUssFile.definition");
const StdinToDataSet_definition_1 = require("./stdin-to-data-set/StdinToDataSet.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const UploadDefinition = {
    name: "upload", aliases: ["ul"],
    summary: "Upload data set and USS content",
    description: "Upload data set and USS content",
    type: "group",
    children: [FileToDataSet_definition_1.UploadFileToDataSetDefinition, StdinToDataSet_definition_1.UploadStdinToDataSetDefinition, StdinToUssFile_definition_1.UploadStdinToUssFileDefinition, FileToUssFile_definition_1.UploadFileToUssFileDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = UploadDefinition;
//# sourceMappingURL=Upload.definition.js.map