"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const UssFile_definition_1 = require("./uss-file/UssFile.definition");
const AllSpoolByJobId_definition_1 = require("./all-spool-by-jobid/AllSpoolByJobId.definition");
const JobStatusByJobid_definition_1 = require("./job-status-by-jobid/JobStatusByJobid.definition");
const SpoolFileById_definition_1 = require("./spool-file-by-id/SpoolFileById.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const ViewDefinition = {
    name: "view", aliases: ["vw"],
    summary: "View data set, job output, and USS content",
    description: "View data sets, job output, and USS content",
    type: "group",
    children: [DataSet_definition_1.ViewDataSetDefinition, SpoolFileById_definition_1.ViewSpoolFileByIdDefinition,
        JobStatusByJobid_definition_1.ViewJobStatusByJobidDefinition, UssFile_definition_1.ViewUssFileDefinition, AllSpoolByJobId_definition_1.ViewAllSpoolByJobidDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = ViewDefinition;
//# sourceMappingURL=View.definition.js.map