"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const FTPBase_Handler_1 = require("../../../FTPBase.Handler");
const api_1 = require("../../../api");
class ViewDataSetHandler extends FTPBase_Handler_1.FTPBaseHandler {
    processFTP(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const options = {
                transferType: params.arguments.binary ? api_1.TRANSFER_TYPE_BINARY : api_1.TRANSFER_TYPE_ASCII,
                response: params.response,
                encoding: params.arguments.encoding
            };
            this.log.debug("Attempting to view data set '%s' in transfer mode '%s'", params.arguments.dataSet, options.transferType);
            const content = yield api_1.DataSetUtils.downloadDataSet(params.connection, params.arguments.dataSet, options);
            this.log.info("Successfully downloaded %d bytes of content from %s", content.length, params.arguments.dataSet);
            params.response.data.setObj(content);
            params.response.console.log(content);
        });
    }
}
exports.default = ViewDataSetHandler;
//# sourceMappingURL=DataSet.Handler.js.map